package cn.com.infosec.asn1.teletrust;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class TeleTrusTNamedCurves$3 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      ECCurve.Fp var3;
      ECCurve.Fp var10000 = var3 = new ECCurve.Fp;
      BigInteger var10001 = new BigInteger("C302F41D932A36CDA7A3463093D18DB78FCE476DE1A86297", 16);
      BigInteger var1;
      var1 = new BigInteger.<init>("6A91174076B1E0E19C39C031FE8685C1CAE040E5C69A28EF", 16);
      BigInteger var2;
      var2 = new BigInteger.<init>("469A28EF7C28CCA3DC721D044F4496BCCA7EF4146FBF25C9", 16);
      var10000.<init>(var10001, var1, var2);
      ECCurve.Fp var10002 = var3;
      ECPoint var4 = var3.decodePoint(Hex.decode("04C0A0647EAAB6A48753B033C56CB0F0900A2F5C4853375FD614B690866ABD5BB88B5F4828C1490002E6773FA2FA299B8F"));
      var1 = new BigInteger.<init>("C302F41D932A36CDA7A3462F9E9E916B5BE8F1029AC4ACC1", 16);
      var2 = new BigInteger.<init>("01", 16);
      return new X9ECParameters(var10002, var4, var1, var2);
   }
}
